Bug 1376149 - Review Request: fedora-obsolete-packages - A package to obsolete retired packages
Summary: Review Request: fedora-obsolete-packages - A package to obsolete retired pack...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Gwyn Ciesla
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-09-14 18:59 UTC by Jason Tibbitts
Modified: 2016-11-19 02:20 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-09-19 13:28:34 UTC
Type: ---
gwync: fedora-review+


Attachments (Terms of Use)

Description Jason Tibbitts 2016-09-14 18:59:50 UTC
Spec URL: https://www.math.uh.edu/~tibbs/review/fedora-obsolete-packages/fedora-obsolete-packages.spec

SRPM URL: https://www.math.uh.edu/~tibbs/review/fedora-obsolete-packages/fedora-obsolete-packages-26-1.src.rpm

Description:
This package exists only to obsolete other packages which need to be removed
from the distribution for some reason.

Fedora Account System Username: tibbs

In accordance with the Packaging Committee ticket https://fedorahosted.org/fpc/ticket/645#comment:11 and the related FESCo decision in https://fedorahosted.org/fesco/ticket/1620 I'm submitting a package which exists for no purpose other than to include Obsoletes: lines for packages which need to be removed from the distribution for some reason (generally because they've been retired and will cause dependency problems on upgrades if not removed).

Note that the package contains no files and at this time no actual obsoletes.  I guess at some point a single documentation file might be useful, but FPC hasn't actually developed a policy around this yet so that will come later.

rpmlint will complain about missing %prep, %build and %install sections, but that's just rpmlint pointlessly complaining.  I use the following rpmlint.cf file in the package directory

addFilter("no-%prep-section")
addFilter("no-%build-section")
addFilter("no-%install-section")

so when vim invokes rpmlint the errors are suppressed.

Comment 1 Gwyn Ciesla 2016-09-15 16:56:51 UTC
- rpmlint checks return:

fedora-obsolete-packages.src: W: strange-permission fedora-obsolete-packages.spec 660
A file that you listed to include in your package has strange permissions.
Usually, a file should have 0644 permissions.

fedora-obsolete-packages.src: W: no-%prep-section
The spec file does not contain a %prep section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality.  Add the section, even if
empty.

fedora-obsolete-packages.src: W: no-%build-section
The spec file does not contain a %build section.  Even if some packages don't
directly need it, section markers may be overridden in rpm's configuration to
provide additional "under the hood" functionality, such as injection of
automatic -debuginfo subpackages.  Add the section, even if empty.

fedora-obsolete-packages.src: W: no-%install-section
The spec file does not contain an %install section.  Even if some packages
don't directly need it, section markers may be overridden in rpm's
configuration to provide additional "under the hood" functionality.  Add the
section, even if empty.

1 packages and 0 specfiles checked; 0 errors, 4 warnings.

Ignorable.

- package meets naming guidelines
- package meets packaging guidelines
- license ( Public Domain ) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file 

Looks great, does what it says on the tin.  I might recommend having something suggesting that new Obsoletes added include a comment saying when they were added, so they can be pruned after they're no longer relevant.

Comment 2 Jason Tibbitts 2016-09-15 17:54:17 UTC
For the record, the weird permission thing is because my umask is 007, which is the Posix ACL group scheme with default privacy.  The permissions wouldn't be weird if building an srpm in mock or the buildsys.  I kind of wish rpmlint would stop complaining about that.

Comment 3 Gwyn Ciesla 2016-09-15 19:04:56 UTC
(In reply to Jason Tibbitts from comment #2)
> For the record, the weird permission thing is because my umask is 007, which
> is the Posix ACL group scheme with default privacy.  The permissions
> wouldn't be weird if building an srpm in mock or the buildsys.  I kind of
> wish rpmlint would stop complaining about that.

If wishes were horses. . .

Comment 4 Jason Tibbitts 2016-09-16 19:04:23 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/fedora-obsolete-packages

Comment 5 Kevin Kofler 2016-09-18 01:54:41 UTC
I find it extremely user-unfriendly to automatically remove packages that may still be working and that explicitly have no replacement and make it painful to reinstall them.

Comment 6 Jason Tibbitts 2016-09-19 13:28:34 UTC
That's great, but this package doesn't do any of that.  So... direct your complaints elsewhere.

Comment 7 Zbigniew Jędrzejewski-Szmek 2016-11-18 19:55:24 UTC
This hasn't been built yet. Any plans to put Obsolete specific packages using this mechanism?

Comment 8 Jason Tibbitts 2016-11-18 20:29:08 UTC
Well, there's not much point in building the package until there's actually an obsolete to add to it.  I can drop a build in rawhide, though, if people really want a completely empty package for whatever reason.

Comment 9 Gwyn Ciesla 2016-11-18 21:13:26 UTC
Do it!  Do it!  Hail Discordia!

Comment 10 Neal Gompa 2016-11-18 23:28:35 UTC
Fufufufu!

Comment 11 Zbigniew Jędrzejewski-Szmek 2016-11-19 02:20:56 UTC
It'd help if you imported the SRPM into the repository, even without building.

So what about F24 → F25 transition? Did nothing get retired?


Note You need to log in before you can comment on or make changes to this bug.